# Class CIM_PortOnDevice
extends CIM_HostedDependency

PortOnDevice associates a Port or connection point with its Device.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_HostedDependency
|
+--CIM_PortOnDevice

## Direct Known Subclasses

CIM_FibrePortOnFCAdapter
CIM_USBPortOnHub

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | PortOnDevice associates a Port or connection point with its Device.
UMLPackagePath | string | CIM::Device::Ports
Version | string | 2.8.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_PortOnDevice | CIM_LogicalDevice
Dependent | CIM_PortOnDevice | CIM_LogicalPort

## Class Methods